Enhavo

# QBColor Function

Liveras la RGB koloran kodon de la koloro pasita kiel kolora valoro per malnova programa sistemo bazita sur MS-DOS.

### Syntax:

QBColor (ColorNumber As Integer)

### Return type:

Long

### Parameters:

ColorNumber: entjera esprimo kiu specifas la koloran valoron de la koloro pasita de malnova programa sistemo bazita sur MS-DOS.

ColorNumber, al kiu eblas atribui la jenajn valorojn:

0 : Nigra

1 : Blua

2 : Verda

3 : Ciana

4 : Ruĝa

5 : Malva

6 : Flava

7 : Blanka

8 : Griza

9 : Hele blua

10 : Hele verda

11 : Hele ciana

12 : Hele ruĝa

13 : Hele malva

14 : Hele flava

15 : Brile blanka

Ĉi tiu funkcio estas uzebla nur por konverti de malnovaj BASIC-aplikaĵoj de MS-DOS kiuj uzas la suprajn kodojn. La funkcio liveras longentjeran valoron kiu indikas la koloron uzotan en la LibreOffice IDE.

### Error codes:

5 Nevalida procedurvoko

### Example:

    Sub ExampleQBColor
    Dim iColor As Integer
    Dim sText As String
        iColor = 7
        sText = "RGB= " & Red(QBColor( iColor) ) & ":" & Blue(QBColor( iColor) ) & ":" & Green(QBColor( iColor) )
        MsgBox steksto,0,"Color " & iKoloro
    End Sub